org.eclipse.jetty.server.handler

## Class AbstractHandler

- java.lang.Object
- - org.eclipse.jetty.util.component.AbstractLifeCycle
  - - org.eclipse.jetty.util.component.AggregateLifeCycle
    - - org.eclipse.jetty.server.handler.AbstractHandler

All Implemented Interfaces:
  Handler, Destroyable, Dumpable, LifeCycle

Direct Known Subclasses:
  AbstractHandlerContainer, DefaultHandler, ErrorHandler, ShutdownHandler

    public abstract class AbstractHandler
    extends AggregateLifeCycle
    implements Handler

AbstractHandler.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle

`AbstractLifeCycle.AbstractLifeCycleListener`

### Nested classes/interfaces inherited from interface org.eclipse.jetty.util.component.LifeCycle

`LifeCycle.Listener`

### Field Summary

### Fields inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle

`_listeners, FAILED, RUNNING, STARTED, STARTING, STOPPED, STOPPING`

### Constructor Summary

Constructors
Constructor and Description
`AbstractHandler()`

### Method Summary

Methods
`void` `destroy()` Destroy the joined Destroyable beans in the reverse order they were added.
`protected void` `doStart()` Start the managed lifecycle beans in the order they were added.
`protected void` `doStop()` Stop the joined lifecycle beans in the reverse order they were added.
`void` `dumpThis(Appendable out)`
`Server` `getServer()`
`void` `setServer(Server server)`

### Methods inherited from class org.eclipse.jetty.util.component.AggregateLifeCycle

`addBean, addBean, contains, dump, dump, dump, dump, dump, dumpObject, dumpStdErr, getBean, getBeans, getBeans, isManaged, manage, removeBean, removeBeans, unmanage`

### Methods inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle

`addLifeCycleListener, getState, getState, isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, removeLifeCycleListener, start, stop`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.jetty.server.Handler

`handle`

### Methods inherited from interface org.eclipse.jetty.util.component.LifeCycle

`addLifeCycleListener, isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, removeLifeCycleListener, start, stop`

### Constructor Detail

#### AbstractHandler

    public AbstractHandler()

### Method Detail

#### doStart

    protected void doStart()
                    throws Exception

Description copied from class: `AggregateLifeCycle`
Start the managed lifecycle beans in the order they were added.

Overrides:
  `doStart` in class `AggregateLifeCycle`
Throws:
  `Exception`
See Also:
  `AbstractLifeCycle.doStart()`

#### doStop

    protected void doStop()
                   throws Exception

Description copied from class: `AggregateLifeCycle`
Stop the joined lifecycle beans in the reverse order they were added.

Overrides:
  `doStop` in class `AggregateLifeCycle`
Throws:
  `Exception`
See Also:
  `AbstractLifeCycle.doStart()`

#### setServer

    public void setServer(Server server)

Specified by:
  `setServer` in interface `Handler`

#### getServer

    public Server getServer()

Specified by:
  `getServer` in interface `Handler`

#### destroy

    public void destroy()

Description copied from class: `AggregateLifeCycle`
Destroy the joined Destroyable beans in the reverse order they were added.

Specified by:
  `destroy` in interface `Handler`
Specified by:
  `destroy` in interface `Destroyable`
Overrides:
  `destroy` in class `AggregateLifeCycle`
See Also:
  `Destroyable.destroy()`

#### dumpThis

    public void dumpThis(Appendable out)
                  throws IOException

Overrides:
  `dumpThis` in class `AggregateLifeCycle`
Throws:
  `IOException`